Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.inOut
Class C_LogFileReader

    java.lang.Object
      de.farafin.snEADy.inOut.C_LogFileReader

All Implemented Interfaces:
  I_Constants

    public final class C_LogFileReader

extends java.lang.Object
implements I_Constants

Author:
  roland, lars TODO what does that class do?

Field Summary
`private int` | `actLineCounter` Comment for `actLineCounter`
`private java.util.Vector` | `lineList` Comment for `lineList`
`private java.io.File` | `logFile` Comment for `logFile`

Fields inherited from interface de.farafin.snEADy.communication.I_Constants
`analyse_ms, auto_grow_delay, auto_slowdown_delay, closemonitor, commandConstants, damage_length_grow, damage_points_radius, DEBUG, delplayer, easy_points, emergencyPause, exit_time, FACE_EAST, FACE_NORTH, FACE_SOUTH, FACE_WEST, goody_length_occ, goody_length_value, goody_points_occ, goody_points_value, goody_shorter_occ, goody_shorter_value, goody_slowdown_occ, goody_speed_occ, IN_ACTION, IN_ERROR_EXC, IN_ERROR_INIT, IN_ERROR_SPACE, IN_ERROR_TIME, IN_EXIT, IN_HEAVEN, init_length, init_move_delay, kill, kill_point_goodies, kill_points_radius, loadhuman, loadlevel, loadplayer, logging, max_goody_occ_delay, MAX_HUMAN_PLAYERS, max_mem_check_delay, max_move_delay, max_player_mem, MAX_PLAYERS, max_thinking_ms, min_cycle_ms, min_move_delay, openmonitor, overalldelay, pause, print_calc_ms, print_parameter, print_player_mem, print_playfield, quit, run, show_subcycles, start, stop, suddend_time, survival_points, timeout_ms, TURN_LEFT, TURN_NONE, TURN_RIGHT`

Constructor Summary
`C_LogFileReader(java.lang.String fileName)` constructor
`C_LogFileReader(java.lang.String root, java.lang.String fileName)`

Method Summary
`java.lang.String` | `getFileName()`
`boolean` | `isFinished()`
`java.lang.String` | `readLine(int number)`
`java.lang.String` | `readNextLine()` stors a line to a local list
`void` | `restart()` next line is set to 0

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logFile

    private java.io.File logFile

  Comment for `logFile`

### lineList

    private java.util.Vector lineList

  Comment for `lineList`

### actLineCounter

    private int actLineCounter

  Comment for `actLineCounter`

Constructor Detail

### C_LogFileReader

    public C_LogFileReader(java.lang.String root,
                           java.lang.String fileName)
                    throws java.io.FileNotFoundException

Parameters:
  `root` -
  `fileName` -
Throws:
  `java.io.FileNotFoundException`

### C_LogFileReader

    public C_LogFileReader(java.lang.String fileName)
                    throws java.io.FileNotFoundException

  constructor

  Parameters:
    `fileName` -
  Throws:
    `java.io.FileNotFoundException`

Method Detail

### readNextLine

    public java.lang.String readNextLine()

  stors a line to a local list

  Returns:
    line

### readLine

    public java.lang.String readLine(int number)

  Parameters:
    `number` -
  Returns:
    line of number

### isFinished

    public boolean isFinished()

  Returns:
    if all lines were read

### restart

    public void restart()

  next line is set to 0

### getFileName

    public java.lang.String getFileName()

  Returns:
    v

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD